Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util
Class AuditEventDispatcher

    java.lang.Object
      oracle.ifs.core.util.AuditEventDispatcher

Direct Known Subclasses:
  TieAuditEventDispatcher

    public class AuditEventDispatcher

extends java.lang.Object

An AuditEventDispatcher selects raw AuditEvents and dispatches them according to existing AuditSpecifications to the appropriate audit histories.

Nested Class Summary
`class` | `AuditEventDispatcher.RegisteredAuditSpecification` A RegisteredAuditSpecification holds information about a registered AuditSpecification.
`class` | `AuditEventDispatcher.RegisteredGlobalAuditSpecification` A RegisteredGlobalAuditSpecification holds information about a registered instance of the "Global history" AuditSpecification.
`class` | `AuditEventDispatcher.RegisteredObjectAuditSpecification` A RegisteredObjectAuditSpecification holds information about a registered instance of the "Object history" AuditSpecification.

Constructor Summary
`AuditEventDispatcher()` Constructs an AuditEventDispatcher, using a default cache configuration.
`AuditEventDispatcher(BoundedCacheConfiguration cacheConfig)` Constructs an AuditEventDispatcher.

Method Summary
`protected void` | `handleAuditSpecificationEvents(LibrarySession session, AuditEvent event)` Handle any events that pertain to changes in AuditSpecifications.
`protected void` | `handleFreedEvents(LibrarySession session, AuditEvent event)` Handle any "Freed" events, in terms of deleting existing events.
`protected void` | `handleGlobalAuditTypeListChangeEvents(LibrarySession session, AuditEvent event)` Handle any events that pertain to changes in a domain's global audit type list.
`void` | `initialize(LibrarySession session)` Initialize or re-initialize the set of registered AuditSpecifications.
`int` | `processRawAuditEvents(LibrarySession session, int batchSize)` Process any new raw audit events.
`int` | `processRawAuditEvents(LibrarySession session, long minId, int batchSize)` Process any new raw audit events.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditEventDispatcher

    public AuditEventDispatcher()
                         throws IfsException

  Constructs an AuditEventDispatcher, using a default cache configuration.

  Throws:
    `IfsException` - if the operation fails

### AuditEventDispatcher

    public AuditEventDispatcher(BoundedCacheConfiguration cacheConfig)
                         throws IfsException

  Constructs an AuditEventDispatcher.

  Parameters:
    `cacheConfig` - cache configuration for the AuditFolderPath cache
  Throws:
    `IfsException` - if the operation fails

Method Detail

### initialize

    public void initialize(LibrarySession session)
                    throws IfsException

  Description copied from class: `AuditEventDispatcher`
  Initialize or re-initialize the set of registered AuditSpecifications.

  Parameters:
    `session` - session context
  Throws:
    `IfsException` - if the operation fails

### processRawAuditEvents

    public int processRawAuditEvents(LibrarySession session,
                                     int batchSize)
                              throws IfsException

  Description copied from class: `AuditEventDispatcher`
  Process any new raw audit events.

  Parameters:
    `session` - session context
    `batchSize` - batch size to select the items; a value of 0 implies a default batchsize
  Returns:
    the number of events processed
  Throws:
    `IfsException` - if the operation fails

### processRawAuditEvents

    public int processRawAuditEvents(LibrarySession session,
                                     long minId,
                                     int batchSize)
                              throws IfsException

  Description copied from class: `AuditEventDispatcher`
  Process any new raw audit events.

  Parameters:
    `session` - session context
    `minId` - the minimum ID to process; allows for processing a subset of events for testing purposes.
    `batchSize` - batch size to select the items; a value of 0 implies a default batchsize, and implies that all events should be processed
  Returns:
    the number of events processed
  Throws:
    `IfsException` - if the operation fails

### handleAuditSpecificationEvents

    protected void handleAuditSpecificationEvents(LibrarySession session,
                                                  AuditEvent event)
                                           throws IfsException

  Description copied from class: `AuditEventDispatcher`
  Handle any events that pertain to changes in AuditSpecifications.

  This is used to invalidate our caches of AuditSpecification information.

  Parameters:
    `session` - session context
    `event` - the AuditEvent to check
  Throws:
    `IfsException` - if the operation fails

### handleGlobalAuditTypeListChangeEvents

    protected void handleGlobalAuditTypeListChangeEvents(LibrarySession session,
                                                         AuditEvent event)
                                                  throws IfsException

  Description copied from class: `AuditEventDispatcher`
  Handle any events that pertain to changes in a domain's global audit type list.

  This is used to invalidate the cache used for the registered Global AuditSpecification.

  Parameters:
    `session` - session context
    `event` - the AuditEvent to check
  Throws:
    `IfsException` - if the operation fails

### handleFreedEvents

    protected void handleFreedEvents(LibrarySession session,
                                     AuditEvent event)
                              throws IfsException

  Description copied from class: `AuditEventDispatcher`
  Handle any "Freed" events, in terms of deleting existing events.

  Currently frees all history from the object AuditSpecification for the object being freed.

  Parameters:
    `session` - session context
    `event` - the AuditEvent to check
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD